# partner-api

## GET /resorts/snowreport

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfResortSnowReport":{"type":"array","items":{"$ref":"#/components/schemas/ResortSnowReport"}},"ResortSnowReport":{"type":"object","properties":{"depth":{"required":["base","summit"],"type":"object","properties":{"middle":{"type":"number","description":"Middle snow depth"},"summit":{"type":"number","description":"Summit snow depth"},"base":{"type":"number","description":"Base snow depth"}}},"surfaceType":{"type":"number","description":"\n * Primary snow surface type at the top:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"details":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Lift name"},"type":{"type":"string","description":"\n * highSpeedSix - Six Chair High Speed\n * highSpeedEight - Eight Chair High Speed\n * gondola - Gondola\n * tram - Tram\n * highSpeedQuad - Four Chair High Speed\n * quad - Four Chair\n * triple - Three Chairs\n * double - Double Chairs\n * surface - Surface lift\n * other - Other type of lift","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram","other"]},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"resort":{"type":"number","description":"Resort ID"},"terrain":{"type":"object","properties":{"parks":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}},"canReturnBySki":{"type":"boolean"},"km":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Km of runs total"},"open":{"type":"number","description":"Km of runs open"}},"description":"Resort runs in km element"},"runsIntermediate":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort intermediate terrain item"},"runsExpert":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort expert terrain item"},"runsBeginner":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort beginner terrain item"},"runsAdvanced":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort advanced terrain item"},"tubes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of tubes total"},"open":{"type":"number","description":"Number of tubes open"}}},"acres":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of acres total"},"open":{"type":"number","description":"Number of acres open"}}},"nordic":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Total in km"},"skategroomed":{"type":"number","description":"Skategroomed in km"},"trackset":{"type":"number","description":"Trackset in km"},"open":{"type":"number","description":"Nordic Open in km"}}},"runs":{"required":["total"],"type":"object","properties":{"total":{"type":"integer","description":"Total number of runs","format":"int32"},"openPercent":{"type":"integer","description":"Percentage of runs that are open","format":"int32"},"details":{"type":"array","description":"List of individual runs with their statuses and attributes","items":{"type":"object","properties":{"difficulty":{"type":"number","description":"\n * 1 - Easy\n * 2 - Intermediate\n * 3 - Advanced\n * 4 - Expert","enum":[0,1,2,3,4]},"nightskiing":{"type":"boolean","description":"Indicates if the run supports night skiing"},"snowmaking":{"type":"boolean","description":"Snowmaking"},"name":{"type":"string","description":"Name of the run"},"grooming":{"type":"boolean","description":"Indicates if the run is groomed"},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"integer","description":"Number of open runs","format":"int32"}}},"pipes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}}}},"recent":{"type":"array","description":"Recent snow history for the last 7 days.","items":{"required":["date","snow"],"type":"object","properties":{"date":{"type":"string","description":"ISO date without time in YYYY-MM-dd format"},"snow":{"type":"number","description":"Snow fall value in cm"}},"description":"Describes snow history chart item"}},"url":{"type":"string"},"surfaceTypeBottom":{"type":"number","description":"\n * Primary snow surface type at the bottom:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"status":{"required":["openFlag"],"type":"object","properties":{"openFlag":{"type":"number","description":"\n *              Resort Open Status:\n *              `1` - Open\n *              `2` - Closed\n *              `3` - Temporarily Closed\n *              `4` - Weekends only\n *              `5` - No Report Available\n *              `6` - Permanently Closed\n *          ","enum":[1,2,3,4,5,6]},"closingDate":{"type":"string","description":"ISO 8601 date without time"},"openingDate":{"type":"string","description":"ISO 8601 date without time"}},"description":"Report Status"},"updatedAt":{"type":"string","description":"The last update date and time of the snow report in ISO 8601 format.","format":"date-time"}},"description":"Represents the snow report for a partner resort."}}},"paths":{"/resorts/snowreport":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfResortSnowReport"}}}}}}}}}
```

## GET /resort/{resortId}/snowreport

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortSnowReport":{"type":"object","properties":{"depth":{"required":["base","summit"],"type":"object","properties":{"middle":{"type":"number","description":"Middle snow depth"},"summit":{"type":"number","description":"Summit snow depth"},"base":{"type":"number","description":"Base snow depth"}}},"surfaceType":{"type":"number","description":"\n * Primary snow surface type at the top:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"details":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Lift name"},"type":{"type":"string","description":"\n * highSpeedSix - Six Chair High Speed\n * highSpeedEight - Eight Chair High Speed\n * gondola - Gondola\n * tram - Tram\n * highSpeedQuad - Four Chair High Speed\n * quad - Four Chair\n * triple - Three Chairs\n * double - Double Chairs\n * surface - Surface lift\n * other - Other type of lift","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram","other"]},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"resort":{"type":"number","description":"Resort ID"},"terrain":{"type":"object","properties":{"parks":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}},"canReturnBySki":{"type":"boolean"},"km":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Km of runs total"},"open":{"type":"number","description":"Km of runs open"}},"description":"Resort runs in km element"},"runsIntermediate":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort intermediate terrain item"},"runsExpert":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort expert terrain item"},"runsBeginner":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort beginner terrain item"},"runsAdvanced":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort advanced terrain item"},"tubes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of tubes total"},"open":{"type":"number","description":"Number of tubes open"}}},"acres":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of acres total"},"open":{"type":"number","description":"Number of acres open"}}},"nordic":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Total in km"},"skategroomed":{"type":"number","description":"Skategroomed in km"},"trackset":{"type":"number","description":"Trackset in km"},"open":{"type":"number","description":"Nordic Open in km"}}},"runs":{"required":["total"],"type":"object","properties":{"total":{"type":"integer","description":"Total number of runs","format":"int32"},"openPercent":{"type":"integer","description":"Percentage of runs that are open","format":"int32"},"details":{"type":"array","description":"List of individual runs with their statuses and attributes","items":{"type":"object","properties":{"difficulty":{"type":"number","description":"\n * 1 - Easy\n * 2 - Intermediate\n * 3 - Advanced\n * 4 - Expert","enum":[0,1,2,3,4]},"nightskiing":{"type":"boolean","description":"Indicates if the run supports night skiing"},"snowmaking":{"type":"boolean","description":"Snowmaking"},"name":{"type":"string","description":"Name of the run"},"grooming":{"type":"boolean","description":"Indicates if the run is groomed"},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"integer","description":"Number of open runs","format":"int32"}}},"pipes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}}}},"recent":{"type":"array","description":"Recent snow history for the last 7 days.","items":{"required":["date","snow"],"type":"object","properties":{"date":{"type":"string","description":"ISO date without time in YYYY-MM-dd format"},"snow":{"type":"number","description":"Snow fall value in cm"}},"description":"Describes snow history chart item"}},"url":{"type":"string"},"surfaceTypeBottom":{"type":"number","description":"\n * Primary snow surface type at the bottom:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"status":{"required":["openFlag"],"type":"object","properties":{"openFlag":{"type":"number","description":"\n *              Resort Open Status:\n *              `1` - Open\n *              `2` - Closed\n *              `3` - Temporarily Closed\n *              `4` - Weekends only\n *              `5` - No Report Available\n *              `6` - Permanently Closed\n *          ","enum":[1,2,3,4,5,6]},"closingDate":{"type":"string","description":"ISO 8601 date without time"},"openingDate":{"type":"string","description":"ISO 8601 date without time"}},"description":"Report Status"},"updatedAt":{"type":"string","description":"The last update date and time of the snow report in ISO 8601 format.","format":"date-time"}},"description":"Represents the snow report for a partner resort."}}},"paths":{"/resort/{resortId}/snowreport":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortSnowReport"}}}}}}}}}
```

## GET /resorts/weather/hourly

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfBatchResortWeatherHourly":{"type":"array","items":{"$ref":"#/components/schemas/BatchResortWeatherHourly"}},"BatchResortWeatherHourly":{"allOf":[{"$ref":"#/components/schemas/ResortWeatherHourly"},{"type":"object","properties":{"resort":{"type":"number","description":"Resort ID"}}}]},"ResortWeatherHourly":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resorts/weather/hourly":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfBatchResortWeatherHourly"}}}}}}}}}
```

## GET /regions

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerRegionItems":{"type":"array","description":"Collection of partner regions","items":{"type":"object","properties":{"country":{"type":"string","description":"Region country"},"id":{"type":"number","description":"Unique identifier of the region"},"title":{"type":"string","description":"Name of the region"}}}}}},"paths":{"/regions":{"get":{"operationId":"listRegions","parameters":[{"name":"search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerRegionItems"}}}}}}}}}
```

## GET /resort/{resortId}/weather/daily

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortWeatherDaily":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resort/{resortId}/weather/daily":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortWeatherDaily"}}}}}}}}}
```

## GET /resort/{resortId}/webcams

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerWebcamItems":{"type":"array","description":"Collection of partner webcams","items":{"type":"object","properties":{"image":{"type":"object","properties":{"large":{"type":"string","format":"uri"},"thumb":{"type":"string","format":"uri"},"xlarge":{"type":"string","format":"uri"},"mid":{"type":"string","format":"uri"}}},"lastUpdate":{"type":"string","format":"date-time"},"webcamId":{"type":"number"},"resort":{"type":"number"},"webcamName":{"type":"string"},"webcamIframeUrl":{"type":"string"},"liveStreaming":{"type":"boolean"}}}}}},"paths":{"/resort/{resortId}/webcams":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerWebcamItems"}}}}}}}}}
```

## GET /resort/{resortId}/profile

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortProfile":{"type":"object","properties":{"elevation":{"required":["base","summit","verticalDrop"],"type":"object","properties":{"verticalDrop":{"type":"number"},"summit":{"type":"number"},"base":{"type":"number"}},"description":"Mountain elevation info in meters"},"website":{"type":"string","description":"Official website URL of the resort","format":"url"},"resortName":{"type":"string","description":"Name of the resort"},"kmNightSkiing":{"type":"number"},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"allLifts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram"]}}}},"details":{"type":"object","properties":{"numEightLifts":{"type":"integer","format":"int32"},"numTripleChairs":{"type":"integer","format":"int32"},"numGondolasTrans":{"type":"integer","format":"int32"},"numQuadChairs":{"type":"integer","format":"int32"},"numLifts":{"type":"integer","format":"int32"},"numSurfaceLifts":{"type":"integer","format":"int32"},"numHighSpeedQuads":{"type":"integer","format":"int32"},"numHighSpeedSix":{"type":"integer","format":"int32"},"numDoubleChairs":{"type":"integer","format":"int32"}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"services":{"type":"object","properties":{"hasNordic":{"type":"boolean","description":"Whether the resort offers nordic skiing"},"hasSnowPark":{"type":"boolean","description":"Whether the resort has a snow park"},"hasSkiing":{"type":"boolean","description":"Whether the resort offers skiing"},"hasSummer":{"type":"boolean","description":"Whether the resort offers summer activities"},"glacierResort":{"type":"boolean","description":"Whether the resort is located on a glacier"},"indoorResort":{"type":"boolean","description":"Whether the resort is an indoor resort"}}},"facts":{"type":"object","properties":{"projectedOpening":{"type":"string","description":"Projected opening date in YYYY-MM-DD format","format":"date"},"numDaysOpenLastYear":{"type":"integer","description":"Number of days the resort was open last year","format":"int32"},"projectedClosing":{"type":"string","description":"Projected closing date in YYYY-MM-DD format","format":"date"}},"description":"Additional facts about the resort"},"url":{"type":"string"},"skierEmail":{"type":"string"},"numNightSkiingAcres":{"type":"number"},"schedule":{"type":"array","description":"Describes resort operating hours for each day of the week. `day` uses 0..6 (0=Monday, 6=Sunday).","items":{"required":["day","from","to"],"type":"object","properties":{"isNight":{"type":"boolean","description":"Whether this time range is a night session."},"from":{"type":"string","description":"Start time in HH:mm:ss (24h). Example: 08:45:00"},"to":{"type":"string","description":"End time in HH:mm:ss (24h). Example: 15:30:00"},"day":{"maximum":6,"minimum":0,"type":"integer","description":"Day of week (0=Sunday ... 6=Saturday).","format":"int32"}}}},"phone800":{"type":"string"},"location":{"type":"object","properties":{"zip":{"type":"string","description":"ZIP code of the resort"},"city":{"type":"string","description":"City where the resort is located"},"stateName":{"type":"string","description":"Name of the state"},"street":{"type":"string","description":"Street address of the resort"},"latitude":{"type":"number","description":"Latitude","format":"float"},"countryName":{"type":"string","description":"Name of the country"},"longitude":{"type":"number","description":"Longitude","format":"float"}},"description":"Location details of the resort"},"id":{"type":"integer","description":"Unique identifier for the resort profile","format":"int32"},"runs":{"type":"object","properties":{"expert":{"type":"integer","description":"Number of expert runs","format":"int32"},"total":{"type":"integer","description":"Total number of runs","format":"int32"},"beginner":{"type":"integer","description":"Number of beginner runs","format":"int32"},"advanced":{"type":"integer","description":"Number of advanced runs","format":"int32"},"intermediate":{"type":"integer","description":"Number of intermediate runs","format":"int32"},"allRuns":{"type":"array","items":{"type":"object","properties":{"difficulty":{"type":"integer","description":"\n * 1 - Beginner - Green (in US)\n * 2 - Intermediate - Blue (in US)\n * 3 - Advanced - Black (in US)\n * 4 - Expert - Double Black (in US)","format":"int32","enum":[1,2,3,4]},"length":{"type":"integer","description":"Length of run in meters","format":"int32"},"name":{"type":"string"}}}},"totalRunsLength":{"type":"number","description":"Total length of all runs in km","format":"float"}},"description":"Information about the resort's runs"},"terrain":{"type":"object","properties":{"km":{"type":"number","description":"Kilometers of pistes","format":"float"},"acres":{"type":"integer","description":"Skiable acres","format":"int32"},"skiReturn":{"type":"integer","description":"Ability to return by ski","format":"int32"},"longestRun":{"type":"integer","description":"Longest resort run","format":"int32"}},"description":"Terrain information"}},"description":"Detailed profile information of a resort"}}},"paths":{"/resort/{resortId}/profile":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortProfile"}}}}}}}}}
```

## GET /resorts/webcams

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerWebcamItems":{"type":"array","description":"Collection of partner webcams","items":{"type":"object","properties":{"image":{"type":"object","properties":{"large":{"type":"string","format":"uri"},"thumb":{"type":"string","format":"uri"},"xlarge":{"type":"string","format":"uri"},"mid":{"type":"string","format":"uri"}}},"lastUpdate":{"type":"string","format":"date-time"},"webcamId":{"type":"number"},"resort":{"type":"number"},"webcamName":{"type":"string"},"webcamIframeUrl":{"type":"string"},"liveStreaming":{"type":"boolean"}}}}}},"paths":{"/resorts/webcams":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerWebcamItems"}}}}}}}}}
```

## GET /resorts

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerResortItems":{"type":"array","description":"Collection of partner resorts","items":{"type":"object","properties":{"continent":{"type":"string","description":"Resort Continent"},"country":{"type":"string","description":"Resort country"},"regionId":{"type":"number","description":"Unique identifier of the region"},"name":{"type":"string","description":"Name of the resort"},"id":{"type":"number","description":"Unique identifier of the resort"},"state":{"type":"string","description":"Resort State"}}}}}},"paths":{"/resorts":{"get":{"operationId":"listResorts","parameters":[{"name":"state","in":"query","schema":{"type":"string"}},{"name":"continent","in":"query","schema":{"type":"string"}},{"name":"resortName","in":"query","schema":{"type":"string"}},{"name":"country","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerResortItems"}}}}}}}}}
```

## GET /resorts/weather/daily

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfBatchResortWeatherDaily":{"type":"array","items":{"$ref":"#/components/schemas/BatchResortWeatherDaily"}},"BatchResortWeatherDaily":{"allOf":[{"$ref":"#/components/schemas/ResortWeatherDaily"},{"type":"object","properties":{"resort":{"type":"number","description":"Resort ID"}}}]},"ResortWeatherDaily":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resorts/weather/daily":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfBatchResortWeatherDaily"}}}}}}}}}
```

## GET /resort/{resortId}/weather/hourly

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortWeatherHourly":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resort/{resortId}/weather/hourly":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortWeatherHourly"}}}}}}}}}
```

## GET /resorts/profile

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfResortProfile":{"type":"array","items":{"$ref":"#/components/schemas/ResortProfile"}},"ResortProfile":{"type":"object","properties":{"elevation":{"required":["base","summit","verticalDrop"],"type":"object","properties":{"verticalDrop":{"type":"number"},"summit":{"type":"number"},"base":{"type":"number"}},"description":"Mountain elevation info in meters"},"website":{"type":"string","description":"Official website URL of the resort","format":"url"},"resortName":{"type":"string","description":"Name of the resort"},"kmNightSkiing":{"type":"number"},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"allLifts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram"]}}}},"details":{"type":"object","properties":{"numEightLifts":{"type":"integer","format":"int32"},"numTripleChairs":{"type":"integer","format":"int32"},"numGondolasTrans":{"type":"integer","format":"int32"},"numQuadChairs":{"type":"integer","format":"int32"},"numLifts":{"type":"integer","format":"int32"},"numSurfaceLifts":{"type":"integer","format":"int32"},"numHighSpeedQuads":{"type":"integer","format":"int32"},"numHighSpeedSix":{"type":"integer","format":"int32"},"numDoubleChairs":{"type":"integer","format":"int32"}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"services":{"type":"object","properties":{"hasNordic":{"type":"boolean","description":"Whether the resort offers nordic skiing"},"hasSnowPark":{"type":"boolean","description":"Whether the resort has a snow park"},"hasSkiing":{"type":"boolean","description":"Whether the resort offers skiing"},"hasSummer":{"type":"boolean","description":"Whether the resort offers summer activities"},"glacierResort":{"type":"boolean","description":"Whether the resort is located on a glacier"},"indoorResort":{"type":"boolean","description":"Whether the resort is an indoor resort"}}},"facts":{"type":"object","properties":{"projectedOpening":{"type":"string","description":"Projected opening date in YYYY-MM-DD format","format":"date"},"numDaysOpenLastYear":{"type":"integer","description":"Number of days the resort was open last year","format":"int32"},"projectedClosing":{"type":"string","description":"Projected closing date in YYYY-MM-DD format","format":"date"}},"description":"Additional facts about the resort"},"url":{"type":"string"},"skierEmail":{"type":"string"},"numNightSkiingAcres":{"type":"number"},"schedule":{"type":"array","description":"Describes resort operating hours for each day of the week. `day` uses 0..6 (0=Monday, 6=Sunday).","items":{"required":["day","from","to"],"type":"object","properties":{"isNight":{"type":"boolean","description":"Whether this time range is a night session."},"from":{"type":"string","description":"Start time in HH:mm:ss (24h). Example: 08:45:00"},"to":{"type":"string","description":"End time in HH:mm:ss (24h). Example: 15:30:00"},"day":{"maximum":6,"minimum":0,"type":"integer","description":"Day of week (0=Sunday ... 6=Saturday).","format":"int32"}}}},"phone800":{"type":"string"},"location":{"type":"object","properties":{"zip":{"type":"string","description":"ZIP code of the resort"},"city":{"type":"string","description":"City where the resort is located"},"stateName":{"type":"string","description":"Name of the state"},"street":{"type":"string","description":"Street address of the resort"},"latitude":{"type":"number","description":"Latitude","format":"float"},"countryName":{"type":"string","description":"Name of the country"},"longitude":{"type":"number","description":"Longitude","format":"float"}},"description":"Location details of the resort"},"id":{"type":"integer","description":"Unique identifier for the resort profile","format":"int32"},"runs":{"type":"object","properties":{"expert":{"type":"integer","description":"Number of expert runs","format":"int32"},"total":{"type":"integer","description":"Total number of runs","format":"int32"},"beginner":{"type":"integer","description":"Number of beginner runs","format":"int32"},"advanced":{"type":"integer","description":"Number of advanced runs","format":"int32"},"intermediate":{"type":"integer","description":"Number of intermediate runs","format":"int32"},"allRuns":{"type":"array","items":{"type":"object","properties":{"difficulty":{"type":"integer","description":"\n * 1 - Beginner - Green (in US)\n * 2 - Intermediate - Blue (in US)\n * 3 - Advanced - Black (in US)\n * 4 - Expert - Double Black (in US)","format":"int32","enum":[1,2,3,4]},"length":{"type":"integer","description":"Length of run in meters","format":"int32"},"name":{"type":"string"}}}},"totalRunsLength":{"type":"number","description":"Total length of all runs in km","format":"float"}},"description":"Information about the resort's runs"},"terrain":{"type":"object","properties":{"km":{"type":"number","description":"Kilometers of pistes","format":"float"},"acres":{"type":"integer","description":"Skiable acres","format":"int32"},"skiReturn":{"type":"integer","description":"Ability to return by ski","format":"int32"},"longestRun":{"type":"integer","description":"Longest resort run","format":"int32"}},"description":"Terrain information"}},"description":"Detailed profile information of a resort"}}},"paths":{"/resorts/profile":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfResortProfile"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://partner.docs.onthesnow.com/partner-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
